/**
 * OW2 Util
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IShell.java 5683 2010-11-14 14:40:09Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.protocol.api;

import java.io.Closeable;

/**
 *
 * @author Loris Bouzonnet
 */
public interface IShell extends Closeable {

    /**
     * Executes a command.
     *
     * @param command the command to execute.
     * @throws ProtocolException
     */
    void execute (String command) throws ProtocolException;

    /**
     * Sets a variable.
     *
     * @param name the name of the variable.
     * @param value the value of the variable.
     */
    void setVariable (String name, String value) throws ProtocolException;

    /**
     * Unsets a variable.
     *
     * @param name the name of the variable.
     */
    void unsetVariable (String name) throws ProtocolException;

}
