/**
 * OW2 Util
 * Copyright (C) 2010-2011 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ITransferProvider.java 5702 2011-01-29 18:17:28Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.protocol.api;

/**
 *
 * @author Loris Bouzonnet
 */
public interface ITransferProvider {

    /**
     * Downloads a source file to a destination file via the transfer protocol.
     *
     * @param source
     *            the source file path to download.
     * @param destination
     *            the destination file path.
     * @param recursive
     *            true if directories are recursively copied
     */
    void download(String source, String destination, boolean recursive) throws ProtocolException;

    /**
     * Uploads a source file to a destination file via the transfer protocol.
     *
     * @param source
     *            the source file path to upload.
     * @param destination
     *            the destination file path.
     * @param recursive
     *            true if directories are recursively copied
     */
    void upload(String source, String destination, boolean recursive) throws ProtocolException;

}
